Replace secret value

Creates a new version of the secret value. Requires scope: secret-store.write.

Authentication

AuthorizationBearer

IBEE platform API token, for example: ibee_live_xxx.

Path parameters

secret_idstringRequired
Secret ID.

Query parameters

workspace_idstringRequired
The workspace ID to scope this request to.

Request

This endpoint expects an object.
valuemap from strings to anyRequired

Key-value pairs containing the new secret data. Creates a new version.

casinteger or nullOptional

Check-and-set: only update if the current version matches this number. Prevents overwriting concurrent changes.

Response

Secret value updated successfully.
idstring
secret_namestring
datamap from strings to any

Key-value pairs containing the secret data.

metadatamap from strings to any

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error